Update Attachment Image
curl --request PUT \
--url https://api.decodahealth.com/attachments/{attachment_id}/image \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--header 'TENANT: <tenant>' \
--form file='@example-file'import requests
url = "https://api.decodahealth.com/attachments/{attachment_id}/image"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.put(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'PUT', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
options.body = form;
fetch('https://api.decodahealth.com/attachments/{attachment_id}/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"gcsPath": "<string>",
"originalFilename": "<string>",
"signedUrl": "<string>",
"name": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"noteId": "<string>",
"thumbnailSignedUrl": "<string>",
"annotations": [
{}
],
"externalId": "<string>",
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"pronouns": "<string>",
"preferredName": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"leadSource": "<string>",
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>",
"dosespotPatientId": "<string>"
},
"note": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"provider": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Notes
Update Attachment Image
Replace the attachment image with a new file (e.g., after rotation/crop).
PUT
/
attachments
/
{attachment_id}
/
image
Update Attachment Image
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
multipart/form-data
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
